<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:tools="http://schemas.android.com/tools">
    <attr name="top_bar_title" format="string" />
    <attr name="back_drawable" format="reference" />
    <attr name="left_drawable" format="reference" />
    <attr name="right_drawable" format="reference" />

    <attr name="shadow_radius" format="dimension|float" />
    <attr name="shadow_color" format="color" />
    <attr name="tab_mode">
        <enum name="scrollable" value="0" />
        <enum name="fixed" value="1" />
        <enum name="auto" value="2" />
    </attr>
    <attr name="tab_type">
        <enum name="wrap_content" value="0" />
        <enum name="match_parent" value="1" />
    </attr>
    <attr name="normal_text_size" format="dimension" />
    <attr name="selected_text_size" format="dimension" />
    <attr name="fixed_tab_scrollable_mode" format="boolean" />

    <!-- 是否是强按钮（绿色）-->
    <attr name="item_margin" format="dimension" />
    <attr name="item_height" format="dimension" />
    <attr name="choice_type">
        <enum name="single" value="0" />
        <enum name="multiple" value="1" />
        <enum name="single_must" value="2" />
    </attr>

    <attr name="orientation" format="enum">
        <enum name="HORIZONTAL" value="0" />
        <enum name="VERTICAL" value="1" />
    </attr>

    <attr name="item_size" format="dimension" />
    <attr name="item_width" format="dimension" />
    <attr name="item_h_interval" format="dimension" />
    <attr name="item_v_interval" format="dimension" />
    <attr name="item_background" format="reference|color" />
    <attr name="item_text_color" format="color" />
    <attr name="title_color" format="reference|color" />
    <attr name="bar_background" format="reference|color" />
    <attr name="item_text_size" format="dimension" />
    <attr name="item_min_width" format="dimension" />
    <attr name="shadowDx" format="float" />
    <attr name="shadowDy" format="float" />
    <attr name="shadowRadius" format="float" />
    <attr name="shadowColor" format="color" />

    <declare-styleable name="CommonTopBar" tools:ignore="ResourceName">
        <attr name="top_bar_title" />
        <attr name="back_drawable" />
        <attr name="right_drawable" />
        <attr name="bar_background" />
        <attr name="title_color" />
    </declare-styleable>

    <declare-styleable name="CommonButton" tools:ignore="ResourceName">
        <attr name="button_radius" format="dimension" />
        <attr name="text" format="string" />
        <attr name="textSize" format="dimension" />
        <attr name="textColor" format="color|reference" />
        <attr name="common_button_type" format="enum">
            <enum name="cancel" value="0" />
            <enum name="confirm" value="1" />
            <enum name="normal1" value="2" />
            <enum name="normal2" value="3" />
            <enum name="business_open" value="4" />
            <enum name="login" value="5" />
            <enum name="room_cancel" value="6" />
        </attr>
        <attr name="button_left_drawable" format="reference" />
        <attr name="button_left_drawable_width" format="dimension" />
        <attr name="button_left_drawable_margin" format="dimension" />
        <attr name="button_right_drawable" format="reference" />
        <attr name="button_right_drawable_width" format="dimension" />
        <attr name="button_right_drawable_margin" format="dimension" />
    </declare-styleable>

    <declare-styleable name="OperateBox">
        <attr name="item_width" />
        <attr name="item_height" />
        <attr name="icon_size" format="dimension" />
        <attr name="orientation" />
    </declare-styleable>

    <declare-styleable name="CommonChoiceListView" tools:ignore="ResourceName">
        <attr name="choice_type" />
    </declare-styleable>

    <declare-styleable name="CommonImageChoiceListView" tools:ignore="ResourceName">
        <attr name="choice_type" />
    </declare-styleable>

    <declare-styleable name="CircleRippleImageView">
        <attr name="outer_border_width" format="dimension" />
        <attr name="outer_border_color" format="color" />
        <attr name="inner_border_width" format="dimension" />
        <attr name="inner_border_color" format="color" />
        <attr name="circle_background" format="boolean" />
        <attr name="android:scaleType" />
        <attr name="ripple_color" format="color" />
        <attr name="ripple_width" format="dimension" />
        <attr name="ripple_space" format="dimension" />
        <attr name="ripple_speed" format="integer" />
        <attr name="ripple_start_alpha_duration" format="integer" />
        <attr name="ripple_end_alpha_duration" format="integer" />
        <attr name="shader_outer_border" format="boolean" />
    </declare-styleable>


    <declare-styleable name="CommonTabLayout" tools:ignore="ResourceName">
        <attr name="tab_mode" />
        <attr name="tab_type" />
        <attr name="normal_text_size" />
        <attr name="selected_text_size" />
        <attr name="indicator_color" format="color" />
        <attr name="indicator_drawable" format="reference" />
        <attr name="indicator_width_mode" format="enum">
            <enum name="match_parent" value="0" />
            <enum name="wrap_text" value="1" />
            <enum name="fixed" value="2" />
        </attr>
        <attr name="indicator_width" format="dimension" />
        <attr name="indicator_height" format="dimension" />
        <attr name="normal_tab_color" format="color" />
        <attr name="normal_tab_bg" format="reference" />
        <attr name="selected_tab_color" format="color" />
        <attr name="selected_tab_bg" format="reference" />
        <attr name="tab_padding_horizontal" format="dimension" />
        <attr name="tab_padding_vertical" format="dimension" />
        <attr name="fixed_tab_scrollable_mode" />
    </declare-styleable>

    <declare-styleable name="WheelView">
        <attr name="wheelCyclic" format="boolean" />
        <attr name="wheelEntries" format="reference" />
        <attr name="wheelItemCount" format="integer" />
        <attr name="wheelItemWidth" format="dimension" />
        <attr name="wheelItemHeight" format="dimension" />
        <attr name="wheelTextSize" format="dimension" />
        <attr name="wheelTextColor" format="color" />
        <attr name="wheelSelectedTextColor" format="color" />
        <attr name="wheelDividerColor" format="color" />
        <attr name="wheelHighlightColor" format="color" />
    </declare-styleable>

    <declare-styleable name="Wheel3DView">
        <attr name="wheelToward" format="enum">
            <enum name="none" value="0" />
            <enum name="left" value="-1" />
            <enum name="right" value="1" />
        </attr>
    </declare-styleable>

    <declare-styleable name="CircleProgressBar">
        <attr name="line_count" format="integer" />
        <attr name="draw_progress_text" format="boolean" />
        <attr name="line_width" format="dimension|reference" />
        <attr name="background_color" format="color|reference" />
        <attr name="progress_start_color" format="color|reference" />
        <attr name="progress_end_color" format="color|reference" />
        <attr name="c_progress_text_color" format="color|reference" />
        <attr name="c_progress_text_size" format="dimension|reference" />
        <attr name="progress_stroke_width" format="dimension|reference" />
        <attr name="progress_background_color" format="color|reference" />
        <attr name="progress_text_format_pattern" format="string|reference" />
        <attr name="drawBackgroundOutsideProgress" format="boolean|reference" />
        <attr name="p_text_size" format="dimension|reference" />
        <attr name="p_text_color" format="color|reference" />
        <attr name="progress_start_degree" format="integer|reference" />

        <attr name="style">
            <enum name="line" value="0" />
            <enum name="solid" value="1" />
            <enum name="solid_line" value="2" />
        </attr>

        <attr name="progress_shader">
            <enum name="linear" value="0" />
            <enum name="radial" value="1" />
            <enum name="sweep" value="2" />
        </attr>

        <attr name="progress_stroke_cap">
            <enum name="butt" value="0" />
            <enum name="round" value="1" />
            <enum name="square" value="2" />
        </attr>
    </declare-styleable>

    <!--左、右滑动删除控件-->
    <declare-styleable name="SwipeMenuLayout">
        <attr name="swipeEnable" format="boolean" />
        <attr name="ios" format="boolean" />
        <attr name="leftSwipe" format="boolean" />
    </declare-styleable>

    <declare-styleable name="SwitchButton">
        <attr name="checked_drawable" format="reference" />
        <attr name="un_checked_drawable" format="reference" />
        <attr name="is_checked" format="boolean" />
    </declare-styleable>

    <declare-styleable name="FixDragLayout">
        <attr name="android:orientation" />
    </declare-styleable>
    <declare-styleable name="Banner">
        <attr name="banner_loop_time" format="integer" />
        <attr name="banner_auto_loop" format="boolean" />
        <attr name="banner_infinite_loop" format="boolean" />

        <!--RoundLinesIndicator、RectangleIndicator-->
        <attr name="banner_indicator_height" format="dimension" />
        <attr name="banner_indicator_radius" format="dimension" />

        <!-- 以下为公用属性 -->
        <attr name="banner_indicator_selected_width" format="dimension" />
        <!--CircleIndicator-->
        <attr name="banner_indicator_normal_width" format="dimension" />
        <attr name="banner_indicator_space" format="dimension" />

        <attr name="banner_indicator_normal_color" format="reference|color" />
        <attr name="banner_indicator_selected_color" format="reference|color" />
        <attr name="banner_indicator_margin" format="dimension" />
        <attr name="banner_indicator_marginLeft" format="dimension" />
        <attr name="banner_indicator_marginTop" format="dimension" />
        <attr name="banner_indicator_marginRight" format="dimension" />
        <attr name="banner_indicator_marginBottom" format="dimension" />

        <attr name="banner_indicator_gravity" format="enum">
            <enum name="left" value="0" />
            <enum name="center" value="1" />
            <enum name="right" value="2" />
        </attr>

        <attr name="banner_orientation">
            <enum name="horizontal" value="0" />
            <enum name="vertical" value="1" />
        </attr>

        <attr name="banner_radius" format="dimension" />

        <!--设置需要圆角的方向，不设置默认全部设置-->
        <attr name="banner_round_top_left" format="boolean" />
        <attr name="banner_round_top_right" format="boolean" />
        <attr name="banner_round_bottom_left" format="boolean" />
        <attr name="banner_round_bottom_right" format="boolean" />

        <attr name="banner_disallow_parent_intercept" format="boolean" />

    </declare-styleable>

    <declare-styleable name="DrawableIndicator">
        <attr name="normal_drawable" format="reference" />
        <attr name="selected_drawable" format="reference" />
    </declare-styleable>

    <declare-styleable name="PinField">
        <attr name="noOfFields" format="integer" />
        <attr name="distanceInBetween" format="dimension" />
        <attr name="lineThickness" format="dimension" />
        <attr name="fieldColor" format="color" />
        <attr name="highlightColor" format="color" />
        <attr name="highlightEnabled" format="boolean" />
        <attr name="isCustomBackground" format="boolean" />
        <attr name="isCursorEnabled" format="boolean" />
        <!--Single Field Mode is deprecated use highlight type to define how to highlight the fields-->
        <attr name="highlightSingleFieldMode" format="boolean" />
        <attr name="highlightType" format="enum">
            <enum name="allFields" value="0" />
            <enum name="currentField" value="1" />
            <enum name="completedFields" value="2" />
            <enum name="noFields" value="3" />
        </attr>
        <attr name="fieldBgColor" format="color" />
    </declare-styleable>

    <declare-styleable name="SquarePinField">
        <attr name="cornerRadius" format="dimension" />
        <attr name="cursorPadding" format="dimension" />
    </declare-styleable>

    <declare-styleable name="CircleView">
        <attr name="circleColor" format="color" />
    </declare-styleable>

    <declare-styleable name="UploadFileAddView">
        <attr name="maxCount" format="integer" />
    </declare-styleable>

    <declare-styleable name="TimerView">
        <attr name="item_size" />
        <attr name="item_background" />
        <attr name="item_text_size" />
        <attr name="item_text_color" />
        <attr name="colon_width" format="dimension" />
    </declare-styleable>

    <!--可展开布局自定义属性-->
    <declare-styleable name="ExpandLayout">
        <!--文本最大缩略行数，对应于TextView的maxLines-->
        <attr name="maxLines" format="integer" />
        <!--展开时对应的图片-->
        <attr name="expandIconResId" format="reference" />
        <!--不展开时对应的图片-->
        <attr name="collapseIconResId" format="reference" />
        <!--展开时对应末尾提示的文字-->
        <attr name="expandMoreText" format="string" />
        <!--不展开时对应末尾提示的文字-->
        <attr name="collapseLessText" format="string" />
        <!--内容文字的颜色-->
        <attr name="contentTextColor" format="reference|color" />
        <!--更多或收起文字的颜色-->
        <attr name="expandTextColor" format="reference|color" />
        <!--文字大小-->
        <attr name="contentTextSize" format="dimension" />
        <!--更多/收起文字大小-->
        <attr name="expandTextSize" format="dimension" />
        <!--展开/收缩布局对应图标的宽度-->
        <attr name="expandIconWidth" format="dimension" />
        <!--缩略文本展示时与展开/收缩布局的间距-->
        <attr name="spaceMargin" format="dimension" />
        <!--文本显示的lineSpacingExtra，对应于TextView的lineSpacingExtra属性-->
        <attr name="lineSpacingExtra" format="dimension" />
        <!--文本显示的lineSpacingMultiplier，对应于TextView的lineSpacingMultiplier属性-->
        <attr name="lineSpacingMultiplier" format="float" />
        <!--展开样式-->
        <attr name="expandStyle" format="integer">
            <!--默认样式：图标+文字-->
            <enum name="DEFAULT" value="0" />
            <enum name="ICON" value="1" />
            <enum name="TEXT" value="2" />
        </attr>
    </declare-styleable>

    <declare-styleable name="MaxHeightScrollView">
        <attr name="maxHeight" format="dimension" />
    </declare-styleable>

    <!--圆角约束布局-->
    <declare-styleable name="RoundCornerConstraintLayout">
        <attr name="constraint_layout_clip_background" format="boolean" />
        <attr name="constraint_layout_round_corner" format="dimension" />
        <attr name="constraint_layout_round_corner_top_left" format="dimension" />
        <attr name="constraint_layout_round_corner_top_right" format="dimension" />
        <attr name="constraint_layout_round_corner_bottom_left" format="dimension" />
        <attr name="constraint_layout_round_corner_bottom_right" format="dimension" />
    </declare-styleable>

    <declare-styleable name="AutoMarqueeTextView">
        <attr name="delayMarqueeTime" format="integer" />
    </declare-styleable>

    <declare-styleable name="SinWaveProgressBar">
        <attr name="amplitude" format="dimension" />
        <attr name="waveColor" format="color" />
        <attr name="frequency" format="float" />
        <attr name="animationDuration" format="integer" />
        <attr name="phaseAngleRadian" format="float" />
    </declare-styleable>

    <attr name="stroke_width" format="dimension" />
    <attr name="font_weight" format="enum">
        <enum name="regular" value="400" />
        <enum name="medium" value="500" />
        <enum name="semiBold" value="600" />
        <enum name="bold" value="700" />
        <enum name="extraBold" value="800" />
    </attr>

    <attr name="strokeColor" format="color" />
    <attr name="strokeWidth" format="dimension" />
    <attr name="strokeColorList" format="dimension" />
    <attr name="strokeColors" format="string" />
    <attr name="strokePosition" format="string" />
    <attr name="strokeOrientation" format="enum">
        <enum name="vertical" value="0" />
        <enum name="horizontal" value="1" />
    </attr>
    <attr name="gradientColors" format="string" />
    <attr name="gradientPosition" format="string" />
    <attr name="gradientOrientation" format="enum">
        <enum name="vertical" value="0" />
        <enum name="horizontal" value="1" />
    </attr>
    <attr name="diagonalColor" format="color" />
    <attr name="diagonalWidth" format="dimension" />

    <declare-styleable name="FastFlowLayout" tools:ignore="ResourceName">
        <attr name="fastFlowLayout_flow" format="boolean" />
        <attr name="fastFlowLayout_childSpacing" format="enum|dimension">
            <enum name="auto" value="-65536" />
        </attr>
        <attr name="fastFlowLayout_minChildSpacing" format="dimension" />
        <attr name="fastFlowLayout_childSpacingForLastRow" format="enum|dimension">
            <enum name="auto" value="-65536" />
            <enum name="align" value="-65537" />
        </attr>
        <attr name="fastFlowLayout_rowSpacing" format="enum|dimension">
            <enum name="auto" value="-65536" />
        </attr>
        <attr name="fastFlowLayout_rtl" format="boolean" />
        <attr name="fastFlowLayout_enableShrinkView" format="boolean" />
        <attr name="fastFlowLayout_expandRows" format="integer" />
        <attr name="fastFlowLayout_shrinkRows" format="integer" />
        <attr name="fastFlowLayout_rowVerticalGravity" format="enum">
            <enum name="auto" value="-65536" />
            <enum name="top" value="0x30" />
            <enum name="center" value="0x10" />
            <enum name="bottom" value="0x50" />
        </attr>
        <attr name="android:gravity" />
    </declare-styleable>

    <declare-styleable name="WenextTextView">
        <attr name="stroke_color" format="color" />
        <attr name="stroke_width" />
        <attr name="stroke_colors" format="string" />
        <attr name="stroke_position" format="string" />

        <attr name="gradient_orientation" format="enum">
            <enum name="vertical" value="0" />
            <enum name="horizontal" value="1" />
        </attr>
        <attr name="gradient_colors" format="string" />
        <attr name="gradient_position" format="string" />

        <attr name="shadow_dx" format="float" />
        <attr name="shadow_dy" format="float" />
        <attr name="shadow_radius" />
        <attr name="shadow_color" />
    </declare-styleable>

    <declare-styleable name="FloatViewContainer">
        <attr name="float_rect_top" format="dimension" />
        <attr name="float_rect_bottom" format="dimension" />
        <attr name="float_rect_left" format="dimension" />
        <attr name="float_rect_right" format="dimension" />
    </declare-styleable>

    <declare-styleable name="BaseFloatView">
        <!--上一次拖拽的位置-->
        <attr name="last_location_sp_key" format="string" />
        <!--重置到上一次拖拽的位置-->
        <attr name="reset_to_last_location" format="boolean" />
    </declare-styleable>

    <declare-styleable name="RippleView">
        <attr name="ripple_circle_color" format="color" />
        <attr name="ripple_circle_min_radius" format="dimension" />
        <attr name="ripple_circle_count" format="integer" />
        <attr name="ripple_circle_style" format="enum">
            <enum name="FILL" value="0" />
            <enum name="STROKE" value="1" />
        </attr>
        <attr name="ripple_circle_stroke_width" format="dimension" />
        <attr name="ripple_circle_start" format="boolean" />
        <attr name="ripple_circle_duration" format="integer" />
        <attr name="ripple_show_inner_circle" format="boolean" />
    </declare-styleable>

    <declare-styleable name="ShimmerFrameLayout">
        <attr name="shimmer_clip_to_children" format="boolean" />
        <attr name="shimmer_colored" format="boolean" />
        <attr name="shimmer_base_color" format="color" />
        <attr name="shimmer_highlight_color" format="color" />
        <attr name="shimmer_base_alpha" format="float" />
        <attr name="shimmer_highlight_alpha" format="float" />
        <attr name="shimmer_auto_start" format="boolean" />
        <attr name="shimmer_duration" format="integer" />
        <attr name="shimmer_repeat_count" format="integer" />
        <attr name="shimmer_repeat_delay" format="integer" />
        <attr name="shimmer_repeat_mode" format="enum">
            <enum name="restart" value="1" />
            <enum name="reverse" value="2" />
        </attr>
        <attr name="shimmer_start_delay" format="integer" />
        <attr name="shimmer_direction" format="enum">
            <enum name="left_to_right" value="0" />
            <enum name="top_to_bottom" value="1" />
            <enum name="right_to_left" value="2" />
            <enum name="bottom_to_top" value="3" />
        </attr>
        <attr name="shimmer_dropoff" format="float" />
        <attr name="shimmer_fixed_width" format="dimension" />
        <attr name="shimmer_fixed_height" format="dimension" />
        <attr name="shimmer_intensity" format="float" />
        <attr name="shimmer_width_ratio" format="float" />
        <attr name="shimmer_height_ratio" format="float" />
        <attr name="shimmer_shape" format="enum">
            <enum name="linear" value="0" />
            <enum name="radial" value="1" />
        </attr>
        <attr name="shimmer_tilt" format="float" />
    </declare-styleable>

    <declare-styleable name="SendGiftNoticeLayout" tools:ignore="ResourceName">
        <attr name="channelCount" format="integer" />
        <attr name="marginTopForFirst" format="float" />
    </declare-styleable>

    <declare-styleable name="ClipCorner">
        <attr name="StrokeWidth" format="dimension" />
        <attr name="ClipBorderColor" format="color" />
    </declare-styleable>

    <declare-styleable name="StrokeTextView">
        <attr name="strokeColor" />
        <attr name="strokeWidth" />
        <attr name="strokeColorList" />
    </declare-styleable>

    <declare-styleable name="WeAnimView">
        <attr name="autoPlay" format="boolean" />
    </declare-styleable>

    <declare-styleable name="SpreadLinearLayout">
        <attr name="orientation" />
        <attr name="android:gravity" />
        <attr name="dividerSize" format="dimension" />
    </declare-styleable>

    <declare-styleable name="GiftFallingLayout">
        <attr name="giftWidth" format="dimension" />
        <attr name="giftHeight" format="dimension" />
        <attr name="fallingSpeed" format="dimension" />
        <attr name="waveCount" format="integer" />
        <attr name="minWaveSize" format="dimension" />
        <attr name="maxWaveSize" format="dimension" />
        <attr name="bottomLine" format="dimension" />
        <!--        <attr name="fillMode" format="enum">-->
        <!--            <enum name="Backward" value="0" />-->
        <!--            <enum name="Forward" value="1" />-->
        <!--        </attr>-->
    </declare-styleable>

    <declare-styleable name="BubbleSeekBar">
        <attr name="bsb_min" format="float|reference" /> <!--min < max, default: 0.0f-->
        <attr name="bsb_max" format="float|reference" /> <!--min < max, default: 100.0f-->
        <attr name="bsb_progress" format="float|reference" /> <!--real time progress value, default: min-->
        <attr name="bsb_is_float_type" format="boolean" /> <!--support for float type-->
        <attr name="bsb_track_size" format="dimension|reference" /> <!--height of right-track(on the right of thumb), default: 2dp-->
        <!--height of left-track(on the left of thumb), default: 2dp higher than right-track's height-->
        <attr name="bsb_second_track_size" format="dimension|reference" />
        <attr name="bsb_thumb_radius" format="dimension|reference" /> <!--radius of thumb, default: 2dp higher than left-track's height-->
        <!--radius of thumb when be dragging, default: 2 times of left-track's height-->
        <attr name="bsb_thumb_radius_on_dragging" format="dimension|reference" />
        <attr name="bsb_track_color" format="color|reference" /> <!--color of right-track, default: R.color.colorPrimary-->
        <attr name="bsb_second_track_color" format="color|reference" /> <!--color of left-track, default: R.color.colorAccent-->
        <attr name="bsb_thumb_color" format="color|reference" /> <!--color of thumb, default: same as left-track's color-->
        <attr name="bsb_section_count" format="integer|reference" /> <!--shares of whole progress(max - min), default: 10-->
        <attr name="bsb_show_section_mark" format="boolean" /> <!--show demarcation points or not, default: false-->
        <attr name="bsb_auto_adjust_section_mark" format="boolean" /> <!--auto scroll to the nearest section_mark or not, default: false-->
        <attr name="bsb_show_section_text" format="boolean" /> <!--show section-text or not, default: false-->
        <attr name="bsb_section_text_size" format="dimension|reference" /> <!--text size of section-text, default: 14sp-->
        <attr name="bsb_section_text_color" format="color|reference" /> <!--text color of section-text, default: same as right-track's color-->
        <!--text position of section-text relative to track, sides, bottom_sides, below_section_mark, default: sides-->
        <attr name="bsb_section_text_position">
            <enum name="sides" value="0" />
            <enum name="bottom_sides" value="1" />
            <enum name="below_section_mark" value="2" />
        </attr>
        <attr name="bsb_section_text_interval" format="integer" /> <!--the interval of two section-text, default: 1-->
        <attr name="bsb_show_thumb_text" format="boolean" /> <!--show real time progress-text under thumb or not, default: false-->
        <attr name="bsb_thumb_text_size" format="dimension|reference" /> <!--text size of progress-text, default: 14sp-->
        <attr name="bsb_thumb_text_color" format="color|reference" /> <!--text color of progress-text, default: same as left-track's color-->
        <attr name="bsb_show_progress_in_float" format="boolean" /> <!--show bubble-progress in float or not, default: false-->
        <attr name="bsb_touch_to_seek" format="boolean" /> <!--touch anywhere on track to quickly seek, default: false-->
        <attr name="bsb_seek_step_section" format="boolean" /> <!--seek one step by one section, the progress is discrete, default: false-->
        <attr name="bsb_seek_by_section" format="boolean" /> <!--seek by section, the progress may not be linear, default: false-->
        <attr name="bsb_bubble_color" format="color|reference" /> <!--color of bubble, default: same as left-track's color-->
        <attr name="bsb_bubble_text_size" format="dimension|reference" /> <!--text size of bubble-progress, default: 14sp-->
        <attr name="bsb_bubble_text_color" format="color|reference" /> <!--text color of bubble-progress, default: #ffffffff-->
        <attr name="bsb_anim_duration" format="integer" /> <!--duration of animation, default: 200ms-->
        <attr name="bsb_always_show_bubble" format="boolean" /> <!--bubble shows all time, default: false-->
        <attr name="bsb_always_show_bubble_delay" format="integer" /> <!--the delay duration before bubble shows all the time, default: 200ms-->
        <attr name="bsb_hide_bubble" format="boolean" /> <!--hide bubble, default: false-->
        <attr name="bsb_rtl" format="boolean" /> <!--right to left, default: false-->
        <attr name="android:enabled" />
    </declare-styleable>

    <declare-styleable name="CircleProgressButtonView">
        <attr name="minSeconds" format="integer" />
        <attr name="maxSeconds" format="integer" />
        <attr name="progressColor" format="color" />
        <attr name="progressWidth" format="dimension" />
    </declare-styleable>

    <declare-styleable name="RoundShadowLayout">
        <attr name="shadow_color" />
        <attr name="shadow_radius" />
        <attr name="round_radius" format="dimension" />
    </declare-styleable>

    <declare-styleable name="EvaluateView">
        <attr name="evaluate_max" format="integer" />
        <attr name="evaluate_current" format="integer" />
        <attr name="evaluate_width" format="dimension" />
        <attr name="evaluate_divide" format="dimension" />
        <attr name="evaluate_normal_src" format="reference" />
        <attr name="evaluate_half_selected_src" format="reference" />
        <attr name="evaluate_selected_src" format="reference" />
        <attr name="evaluate_enable" format="boolean" />
    </declare-styleable>

    <declare-styleable name="NumberIncreaseView">
        <attr name="default_number" format="integer" />
        <attr name="number_text_color" format="color" />
        <attr name="number_add_src" format="reference" />
        <attr name="number_minus_src" format="reference" />
        <attr name="number_minus_disable_src" format="reference" />
    </declare-styleable>

    <declare-styleable name="PriceView">
        <attr name="price_icon_show" format="boolean" />
        <attr name="price_icon_size" format="dimension" />
        <attr name="price_text_size" format="dimension" />
        <attr name="price_text_bold" format="boolean" />
        <attr name="price_text_color" format="color" />
        <attr name="price_discount_text_color" format="color" />
        <attr name="unit_text_size" format="dimension" />
        <attr name="unit_text_color" format="color" />
        <attr name="price_text_gravity">
            <enum name="center" value="0" />
            <enum name="bottom" value="1" />
        </attr>
    </declare-styleable>

    <declare-styleable name="SoundView">
        <attr name="sound_duration_text_size" format="dimension" />
        <attr name="sound_duration_text_gravity">
            <enum name="start" value="0" />
            <enum name="end" value="1" />
        </attr>
        <attr name="sound_show_play_button" format="boolean" />
        <attr name="sound_show_wave" format="boolean" />
    </declare-styleable>

    <declare-styleable name="SoundWaveView">
        <attr name="barWidth" format="dimension" />
        <attr name="barSpacing" format="dimension" />
        <attr name="waveSpeed" format="float" />
        <attr name="showGlow" format="boolean" />
    </declare-styleable>

    <declare-styleable name="BlurView">
        <attr name="blurOverlayColor" format="color" />
    </declare-styleable>

    <declare-styleable name="BubbleScroller">
        <attr name="bubbleScroller_textSize" format="dimension|reference" />
        <attr name="bubbleScroller_textColor" format="dimension|reference" />
        <attr name="bubbleScroller_showHighlight" format="boolean" />
        <attr name="bubbleScroller_highlightColor" format="reference" />
        <attr name="bubbleScroller_highlightSize" format="dimension|reference" />
    </declare-styleable>
</resources>